Tenancy
Create an organization
POST /v1/organizations · SDK createOrganization · CLI deployments org create
POST
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
idempotency-key*stringLength
1 <= length <= 512application/json- body
name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120slug?stringMatch
^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$OrganizationResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
1 <= valuebillingAccountId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$metadata?name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120slug*stringMatch
^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$status*stringValue in
"active""archived""disabled"curl -X POST "https://example.com/v1/organizations" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 1, "billingAccountId": "string", "id": "string", "metadata": { "property1": null, "property2": null }, "name": "string", "slug": "string", "status": "active"}